commit:     91649a91f8bd26a2a254f9703c24f350a62524c2
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed May 10 21:54:00 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu May 11 06:21:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91649a91

dev-ml/mtime: bump to 1.0.0

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-ml/mtime/Manifest           |  1 +
 dev-ml/mtime/mtime-1.0.0.ebuild | 44 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-ml/mtime/Manifest b/dev-ml/mtime/Manifest
index d4cd096f59e..08b14c1e208 100644
--- a/dev-ml/mtime/Manifest
+++ b/dev-ml/mtime/Manifest
@@ -1 +1,2 @@
 DIST mtime-0.8.4.tbz 11705 SHA256 
b0a1eb1fb2d30e413ab24f5261e099881cadbac5af440f53f2544e3a9846b5a9 SHA512 
fc08df2abc3500d18db3c4bb9a67336b902483da24056fac2c9f0b4c93ac8860c29a59b47c1ade62f6f5b51ac32c7d16e31d5c9f8cb51900accf73ddeaf6d307
 WHIRLPOOL 
543168a929e4eaf158cd05420f9139664a4289c5ae1e69bf9081f842d97b08182c99dc3ac82b242afca4067f69b1efc53fb11c116056162871f59b988be2a8d5
+DIST mtime-1.0.0.tbz 15191 SHA256 
dd9e2eaaa2e275e832d9acf3c84654eb02e74d449705f7d46739e2bac77657ac SHA512 
8fb7c125e65f2edcfef937794138e3fa468805f7c728eb2dc8e071a9080dcb72952493b71f99ad8f04de52b491c9b84fd37924b9ec36c70ebe717e6e99b29c2b
 WHIRLPOOL 
648dc5a833493dbd71756eaa4211255bc4f7617ead78047cfdb41990b9d21dd1d33dc1c46cabf5d51c40b7959f35647a9a8e737d3fe6669476d1303131b89d73

diff --git a/dev-ml/mtime/mtime-1.0.0.ebuild b/dev-ml/mtime/mtime-1.0.0.ebuild
new file mode 100644
index 00000000000..02c8e3c2155
--- /dev/null
+++ b/dev-ml/mtime/mtime-1.0.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit eutils
+
+DESCRIPTION="OCaml module to access monotonic wall-clock time"
+HOMEPAGE="http://erratique.ch/software/mtime https://github.com/dbuenzli/mtime";
+SRC_URI="http://erratique.ch/software/mtime/releases/${P}.tbz";
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="javascript test"
+
+RDEPEND="dev-lang/ocaml:=[ocamlopt]
+       javascript? ( dev-ml/js_of_ocaml:= )
+"
+DEPEND="${RDEPEND}
+       dev-ml/opam
+       dev-ml/topkg
+       dev-ml/ocamlbuild
+       dev-ml/findlib"
+
+src_compile() {
+       ocaml pkg/pkg.ml build \
+               --with-js_of_ocaml $(usex javascript true false) \
+               --tests $(usex test true false) \
+               || die
+}
+
+src_test() {
+       ocaml pkg/pkg.ml test || die
+}
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               ${PN}.install || die
+       dodoc CHANGES.md README.md
+}

Reply via email to